## policycoreutils 2.1.0

=== Makefile ===
SUBDIRS = setfiles semanage load_policy newrole run_init sandbox secon audit2allow audit2why scripts sestatus semodule_package semodule semodule_link semodule_expand semodule_deps setsebool po

INOTIFYH = $(shell ls /usr/include/sys/inotify.h 2>/dev/null)

ifeq (${INOTIFYH}, /usr/include/sys/inotify.h)
	SUBDIRS += restorecond
endif

all install relabel clean indent:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

test:

=== load_policy/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
SBINDIR ?= $(DESTDIR)/sbin
USRSBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale

CFLAGS ?= -Werror -Wall -W
override CFLAGS += $(LDFLAGS) -I$(PREFIX)/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
LDLIBS += -lsepol -lselinux -L$(PREFIX)/lib

TARGETS=$(patsubst %.c,%,$(wildcard *.c))

all: $(TARGETS)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 $(TARGETS) $(SBINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 load_policy.8 $(MANDIR)/man8/
	-mkdir -p $(USRSBINDIR)
	ln -sf /sbin/load_policy $(USRSBINDIR)/load_policy

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:
	/sbin/restorecon $(SBINDIR)/load_policy

=== newrole/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
ETCDIR ?= $(DESTDIR)/etc
LOCALEDIR = /usr/share/locale
PAMH = $(shell ls /usr/include/security/pam_appl.h 2>/dev/null)
AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)
# Enable capabilities to permit newrole to generate audit records.
# This will make newrole a setuid root program.
# The capabilities used are: CAP_AUDIT_WRITE.
AUDIT_LOG_PRIV ?= n
# Enable capabilities to permit newrole to utilitize the pam_namespace module.
# This will make newrole a setuid root program.
# The capabilities used are: CAP_SYS_ADMIN, CAP_CHOWN, CAP_FOWNER and
# CAP_DAC_OVERRIDE. 
NAMESPACE_PRIV ?= n
# If LSPP_PRIV is y, then newrole will be made into setuid root program.
# Enabling this option will force AUDIT_LOG_PRIV and NAMESPACE_PRIV to be y.
LSPP_PRIV ?= n
VERSION = $(shell cat ../VERSION)

CFLAGS ?= -Werror -Wall -W
EXTRA_OBJS =
override CFLAGS += -DVERSION=\"$(VERSION)\" $(LDFLAGS) -I$(PREFIX)/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
LDLIBS += -lselinux -L$(PREFIX)/lib
ifeq (${PAMH}, /usr/include/security/pam_appl.h)
	override CFLAGS += -DUSE_PAM
	EXTRA_OBJS += hashtab.o
	LDLIBS += -lpam -lpam_misc
else
	override CFLAGS += -D_XOPEN_SOURCE=500
	LDLIBS += -lcrypt
endif
ifeq (${AUDITH}, /usr/include/libaudit.h)
	override CFLAGS += -DUSE_AUDIT
	LDLIBS += -laudit
endif
ifeq (${LSPP_PRIV},y)
	override AUDIT_LOG_PRIV=y
	override NAMESPACE_PRIV=y
endif
ifeq (${AUDIT_LOG_PRIV},y)
	override CFLAGS += -DAUDIT_LOG_PRIV
	IS_SUID=y
endif
ifeq (${NAMESPACE_PRIV},y)
	override CFLAGS += -DNAMESPACE_PRIV
	IS_SUID=y
endif
ifeq (${IS_SUID},y)
	MODE := 4555
	LDLIBS += -lcap-ng
else
	MODE := 0555
endif

all: newrole

newrole: newrole.o $(EXTRA_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	test -d $(BINDIR)      || install -m 755 -d $(BINDIR)
	test -d $(ETCDIR)/pam.d || install -m 755 -d $(ETCDIR)/pam.d
	test -d $(MANDIR)/man1 || install -m 755 -d $(MANDIR)/man1
	install -m $(MODE) newrole $(BINDIR)
	install -m 644 newrole.1 $(MANDIR)/man1/
ifeq (${PAMH}, /usr/include/security/pam_appl.h)
	test -d $(ETCDIR)/pam.d || install -m 755 -d $(ETCDIR)/pam.d
ifeq (${LSPP_PRIV},y)
	install -m 644 newrole-lspp.pamd $(ETCDIR)/pam.d/newrole
else
	install -m 644 newrole.pamd $(ETCDIR)/pam.d/newrole
endif
endif

clean:
	rm -f newrole *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(BINDIR)/newrole

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#

TOP	 = ../..

# What is this package?
NLSPACKAGE	= policycoreutils
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale

# PO catalog handling
MSGMERGE	= msgmerge -v
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE)
MSGFMT		= msgfmt --statistics --verbose

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
POTFILES = \
	../run_init/open_init_pty.c \
	../run_init/run_init.c \
	../semodule_link/semodule_link.c \
	../audit2allow/audit2allow \
	../semanage/seobject.py \
	../setsebool/setsebool.c \
	../newrole/newrole.c \
	../load_policy/load_policy.c \
	../sestatus/sestatus.c \
	../semodule/semodule.c \
	../setfiles/setfiles.c \
	../semodule_package/semodule_package.c \
	../semodule_deps/semodule_deps.c \
	../semodule_expand/semodule_expand.c \
	../scripts/chcat \
	../scripts/fixfiles \
	../restorecond/stringslist.c \
	../restorecond/restorecond.h \
	../restorecond/utmpwatcher.h \
	../restorecond/stringslist.h \
	../restorecond/restorecond.c \
	../restorecond/utmpwatcher.c \
	../secon/secon.c \

#default:: clean

all::  update-po $(MOFILES)

$(POTFILE): $(POTFILES) 
	$(XGETTEXT) --keyword=_ --keyword=N_ $(POTFILES)
	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv -f $(NLSPACKAGE).po $(POTFILE); \
	fi; \

update-po: Makefile $(POTFILE) refresh-po

refresh-po: Makefile
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *mo *~ .depend
	@rm -rf tmp

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<
report:
	@for cat in $(wildcard *.po); do \
                echo -n "$$cat: "; \
                msgfmt -v --statistics -o /dev/null $$cat; \
        done

.PHONY: missing depend

relabel:

=== restorecond/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
INITDIR = $(DESTDIR)/etc/rc.d/init.d
SELINUXDIR = $(DESTDIR)/etc/selinux

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include -D_FILE_OFFSET_BITS=64
LDLIBS += -lselinux -L$(PREFIX)/lib

all: restorecond

restorecond:  restorecond.o utmpwatcher.o stringslist.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 restorecond $(SBINDIR)
	install -m 644 restorecond.8 $(MANDIR)/man8
	-mkdir -p $(INITDIR)
	install -m 755 restorecond.init $(INITDIR)/restorecond
	-mkdir -p $(SELINUXDIR)
	install -m 600 restorecond.conf $(SELINUXDIR)/restorecond.conf

relabel: install
	/sbin/restorecon $(SBINDIR)/restorecond 

clean:
	-rm -f restorecond *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== run_init/Makefile ===

# Installation directories.
PREFIX ?= ${DESTDIR}/usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
ETCDIR ?= $(DESTDIR)/etc
LOCALEDIR ?= /usr/share/locale
PAMH = $(shell ls /usr/include/security/pam_appl.h 2>/dev/null)
AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
LDLIBS += -lselinux -L$(PREFIX)/lib
ifeq (${PAMH}, /usr/include/security/pam_appl.h)
	override CFLAGS += -DUSE_PAM
	LDLIBS += -lpam -lpam_misc
else
	override CFLAGS += -D_XOPEN_SOURCE=500
	LDLIBS += -lcrypt
endif
ifeq (${AUDITH}, /usr/include/libaudit.h)
	override CFLAGS += -DUSE_AUDIT
	LDLIBS += -laudit
endif

TARGETS=$(patsubst %.c,%,$(wildcard *.c))

all: $(TARGETS)

open_init_pty: open_init_pty.c
	$(LINK.c) $^ -ldl -lutil -o $@


install: all
	test -d $(SBINDIR)      || install -m 755 -d $(SBINDIR)
	test -d $(MANDIR)/man1 || install -m 755 -d $(MANDIR)/man1
	install -m 755 run_init $(SBINDIR)
	install -m 755 open_init_pty $(SBINDIR)
	install -m 644 run_init.8 $(MANDIR)/man8/
	install -m 644 open_init_pty.8 $(MANDIR)/man8/
ifeq (${PAMH}, /usr/include/security/pam_appl.h)
	install -m 644 run_init.pamd $(ETCDIR)/pam.d/run_init
endif

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(SBINDIR)/run_init $(SBINDIR)/open_init_pty

=== sandbox/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
INITDIR ?= ${DESTDIR}/etc/rc.d/init.d/
SYSCONFDIR ?= ${DESTDIR}/etc/sysconfig
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
SHAREDIR ?= $(PREFIX)/share/sandbox
override CFLAGS += $(LDFLAGS) -I$(PREFIX)/include -DPACKAGE="\"policycoreutils\""
LDLIBS += -lselinux -lcap-ng 

all: sandbox seunshare sandboxX.sh 

seunshare: seunshare.o $(EXTRA_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	-mkdir -p $(BINDIR)
	install -m 755 sandbox $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 sandbox.8 $(MANDIR)/man8/
	-mkdir -p $(SBINDIR)
	install -m 4755 seunshare $(SBINDIR)/
	-mkdir -p $(SHAREDIR)
	install -m 755 sandboxX.sh $(SHAREDIR)
	-mkdir -p $(INITDIR)
	install -m 755 sandbox.init $(INITDIR)/sandbox
	-mkdir -p $(SYSCONFDIR)
	install -m 644 sandbox.config $(SYSCONFDIR)/sandbox

test:
	@python test_sandbox.py -v

clean:
	-rm -f seunshare *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== semodule_expand/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= ${PREFIX}/lib
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = -lsepol -lselinux -L$(LIBDIR)

all: semodule_expand

semodule_expand:  semodule_expand.o 

install: all
	-mkdir -p $(BINDIR)
	install -m 755 semodule_expand $(BINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule_expand.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_expand *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== semodule_package/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= ${PREFIX}/lib
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = -lsepol -lselinux -L$(LIBDIR)

all: semodule_package

semodule_package:  semodule_package.o 

install: all
	-mkdir -p $(BINDIR)
	install -m 755 semodule_package $(BINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule_package.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_package *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== sestatus/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
ETCDIR ?= $(DESTDIR)/etc
LIBDIR ?= ${PREFIX}/lib

CFLAGS = -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include -D_FILE_OFFSET_BITS=64
LDLIBS = -lselinux -L$(LIBDIR)

all: sestatus

sestatus:  sestatus.o 

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 sestatus $(SBINDIR)
	install -m 644 sestatus.8 $(MANDIR)/man8
	-mkdir -p $(ETCDIR)
	install -m 644 sestatus.conf $(ETCDIR)

clean:
	rm -f sestatus *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== setfiles/Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
SBINDIR ?= $(DESTDIR)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)

CFLAGS = -g -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include
LDLIBS = -lselinux -lsepol -L$(LIBDIR)

ifeq (${AUDITH}, /usr/include/libaudit.h)
	override CFLAGS += -DUSE_AUDIT
	LDLIBS += -laudit
endif

all: setfiles restorecon

setfiles:  setfiles.o restore.o

restorecon: setfiles
	ln -sf setfiles restorecon

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 setfiles $(SBINDIR)
	(cd $(SBINDIR) && ln -sf setfiles restorecon)
	install -m 644 setfiles.8 restorecon.8 $(MANDIR)/man8

clean:
	rm -f setfiles restorecon *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(SBINDIR)/setfiles

=== setsebool/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= ${PREFIX}/lib

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = -lsepol -lselinux -lsemanage -L$(LIBDIR)
SETSEBOOL_OBJS = setsebool.o

all: setsebool

setsebool: $(SETSEBOOL_OBJS)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 setsebool $(SBINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 setsebool.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f setsebool *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

## policycoreutils 2.1.10

=== Makefile ===
SUBDIRS = setfiles semanage load_policy newrole run_init sandbox secon audit2allow audit2why scripts sestatus semodule_package semodule semodule_link semodule_expand semodule_deps sepolgen-ifgen setsebool po man

INOTIFYH = $(shell ls /usr/include/sys/inotify.h 2>/dev/null)

ifeq (${INOTIFYH}, /usr/include/sys/inotify.h)
	SUBDIRS += restorecond
endif

all install relabel clean indent:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

test:

=== audit2allow/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale

all: ;

install: all
	-mkdir -p $(BINDIR)
	install -m 755 audit2allow $(BINDIR)
	install -m 755 sepolgen-ifgen $(BINDIR)
	-mkdir -p $(MANDIR)/man1
	install -m 644 audit2allow.1 $(MANDIR)/man1/

clean:
	rm -f *~

indent: ;

relabel: ;

=== audit2why/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

TARGETS=audit2why

all: $(TARGETS)

install: all
	-mkdir -p $(BINDIR)
	install -m 755 $(TARGETS) $(BINDIR)
	-mkdir -p $(MANDIR)/man1
	install -m 644 audit2why.1 $(MANDIR)/man1/

clean:

relabel:

=== load_policy/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Installation directories.
-PREFIX ?= ${DESTDIR}/usr
+PREFIX ?= $(DESTDIR)/usr
 SBINDIR ?= $(DESTDIR)/sbin
 USRSBINDIR ?= $(PREFIX)/sbin
 MANDIR ?= $(PREFIX)/share/man

=== man/Makefile ===
# Installation directories.
MAN5DIR ?= $(DESTDIR)/usr/share/man/man5

all:

clean:

install: all
	mkdir -p $(MAN5DIR)
	install -m 644 man5/*.5 $(MAN5DIR)

=== po/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # What is this package?
 NLSPACKAGE	= policycoreutils
 POTFILE		= $(NLSPACKAGE).pot
-INSTALL		= /usr/bin/install -c
+INSTALL		= /usr/bin/install -c -p
 INSTALL_DATA	= $(INSTALL) -m 644
 INSTALL_DIR	= /usr/bin/install -d

=== restorecond/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib
MANDIR = $(PREFIX)/share/man
AUTOSTARTDIR = $(DESTDIR)/etc/xdg/autostart
DBUSSERVICEDIR = $(DESTDIR)/usr/share/dbus-1/services

autostart_DATA = sealertauto.desktop
INITDIR = $(DESTDIR)/etc/rc.d/init.d
SELINUXDIR = $(DESTDIR)/etc/selinux

DBUSFLAGS = -DHAVE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/lib/dbus-1.0/include
DBUSLIB = -ldbus-glib-1 -ldbus-1

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include $(DBUSFLAGS) -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib/glib-2.0/include

LDLIBS += -lselinux $(DBUSLIB) -lglib-2.0 -L$(LIBDIR)

all: restorecond

restorecond.o utmpwatcher.o stringslist.o user.o watch.o: restorecond.h

restorecond:  ../setfiles/restore.o restorecond.o utmpwatcher.o stringslist.o user.o watch.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 restorecond $(SBINDIR)
	install -m 644 restorecond.8 $(MANDIR)/man8
	-mkdir -p $(INITDIR)
	install -m 755 restorecond.init $(INITDIR)/restorecond
	-mkdir -p $(SELINUXDIR)
	install -m 644 restorecond.conf $(SELINUXDIR)/restorecond.conf
	install -m 644 restorecond_user.conf $(SELINUXDIR)/restorecond_user.conf
	-mkdir -p $(AUTOSTARTDIR)
	install -m 644 restorecond.desktop $(AUTOSTARTDIR)/restorecond.desktop
	-mkdir -p $(DBUSSERVICEDIR)
	install -m 600 org.selinux.Restorecond.service  $(DBUSSERVICEDIR)/org.selinux.Restorecond.service

relabel: install
	/sbin/restorecon $(SBINDIR)/restorecond 

clean:
	-rm -f restorecond *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== sandbox/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INITDIR ?= $(DESTDIR)/etc/rc.d/init.d/
SYSCONFDIR ?= $(DESTDIR)/etc/sysconfig
LIBDIR ?= $(PREFIX)/lib
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
SHAREDIR ?= $(PREFIX)/share/sandbox
override CFLAGS += $(LDFLAGS) -I$(PREFIX)/include -DPACKAGE="\"policycoreutils\"" -Wall -Werror -Wextra -W
LDLIBS += -lcgroup -lselinux -lcap-ng -L$(LIBDIR)
SEUNSHARE_OBJS = seunshare.o

all: sandbox seunshare sandboxX.sh start

seunshare: $(SEUNSHARE_OBJS)

install: all
	-mkdir -p $(BINDIR)
	install -m 755 sandbox $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 sandbox.8 $(MANDIR)/man8/
	install -m 644 seunshare.8 $(MANDIR)/man8/
	-mkdir -p $(MANDIR)/man5
	install -m 644 sandbox.5 $(MANDIR)/man5/
	-mkdir -p $(SBINDIR)
	install -m 4755 seunshare $(SBINDIR)/
	-mkdir -p $(SHAREDIR)
	install -m 755 sandboxX.sh $(SHAREDIR)
	install -m 755 start $(SHAREDIR)
	-mkdir -p $(INITDIR)
	install -m 755 sandbox.init $(INITDIR)/sandbox
	-mkdir -p $(SYSCONFDIR)
	install -m 644 sandbox.conf $(SYSCONFDIR)/sandbox

test:
	@python test_sandbox.py -v

clean:
	-rm -f seunshare *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== scripts/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale

all: fixfiles genhomedircon chcat

install: all
	-mkdir -p $(BINDIR)
	install -m 755 chcat $(BINDIR)
	install -m 755 fixfiles $(DESTDIR)/sbin
	install -m 755 genhomedircon  $(SBINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 fixfiles.8 $(MANDIR)/man8/
	install -m 644 genhomedircon.8 $(MANDIR)/man8/
	install -m 644 chcat.8 $(MANDIR)/man8/

clean:

indent:

relabel:

=== semanage/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
LIBDIR ?= $(PREFIX)/lib
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
PYTHONLIBDIR ?= $(LIBDIR)/$(PYLIBVER)

TARGETS=semanage

all: $(TARGETS)

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 semanage $(SBINDIR)
	install -m 644 semanage.8 $(MANDIR)/man8
	test -d $(PYTHONLIBDIR)/site-packages || install -m 755 -d $(PYTHONLIBDIR)/site-packages
	install -m 755 seobject.py $(PYTHONLIBDIR)/site-packages

clean:

indent:

relabel:

=== semodule/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I$(INCLUDEDIR)
LDLIBS = -lsepol -lselinux -lsemanage -L$(LIBDIR)
SEMODULE_OBJS = semodule.o

all: semodule

semodule: $(SEMODULE_OBJS)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 semodule $(SBINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== sestatus/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Installation directories.
-PREFIX ?= ${DESTDIR}/usr
+PREFIX ?= $(DESTDIR)/usr
 SBINDIR ?= $(PREFIX)/sbin
 MANDIR = $(PREFIX)/share/man
 ETCDIR ?= $(DESTDIR)/etc
-LIBDIR ?= ${PREFIX}/lib
+LIBDIR ?= $(PREFIX)/lib
 
 CFLAGS = -Werror -Wall -W
 override CFLAGS += -I$(PREFIX)/include -D_FILE_OFFSET_BITS=64
@@ -15,9 +15,11 @@
 
 install: all
 	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
+	[ -d $(MANDIR)/man5 ] || mkdir -p $(MANDIR)/man5
 	-mkdir -p $(SBINDIR)
 	install -m 755 sestatus $(SBINDIR)
 	install -m 644 sestatus.8 $(MANDIR)/man8
+	install -m 644 sestatus.conf.5 $(MANDIR)/man5
 	-mkdir -p $(ETCDIR)
 	install -m 644 sestatus.conf $(ETCDIR)

=== debian/changelog ===
policycoreutils (2.1.10-1) unstable; urgency=low

  * New upstream version
  * Made it build-depend on libcgroup-dev, libdbus-1-dev, libdbus-glib-1-dev,
    and libglib2.0-dev
  * Lots of multiarch related changes
  * Rename /etc/init.d/policycoreutils to /etc/init.d/restorecond
  * Added per-user configuration for restorecond

 -- Russell Coker <russell@coker.com.au>  Mon, 05 Mar 2012 17:28:46 +1100

policycoreutils (2.1.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust package to multiarch: export/use DEB_HOST_MULTIARCH in
    debian/common/* and in some Makefiles; build-depend on dpkg-dev (>=
    1.16.0). Based on patches from Mitsuya Shibata and Hideki Yamane.
    Closes: #640630, #652758
    LP: #832802

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Feb 2012 19:10:41 +0100

policycoreutils (2.1.0-3) unstable; urgency=low

  * Add mcstrans examples in /usr/share/doc/policycoreutils/mcstrans-examples
  * Added dependency on psmisc for killall in mcstrans init script

 -- Russell Coker <russell@coker.com.au>  Wed, 02 Nov 2011 15:06:07 +1100

policycoreutils (2.1.0-2) unstable; urgency=low

  * New upstream version, included mcstrans and added sandbox.
  * The new mcstrans won't work with the policy from Squeeze, it will abort on
    startup and you won't get the names mapped.  IMHO this is acceptable for
    a partially upgraded system and when the system is fully upgraded it will
    all work.
  * Made it build-depend on the latest libselinux1-dev, libsepol1-dev,
    libsemanage1-dev, and python-sepolgen.
  * Added libcap-ng-dev to the build-depends for sandbox.
  * Added libcap-dev to the build-depends for mcstrans.
  * Hard-coded LIBDIR in mcstrans/src/Makefile and mcstrans/utils/Makefile as
    uname -i doesn't work.
  * Added dependency on python-support.
  * Made it depend on latest python-sepolgen and on python-support.
  * s/\.p/\.P/ on mcs.8
  * Added lintian override for suid binary /usr/sbin/seunshare .
  * Made this version -2 because version -1 got lost.

 -- Russell Coker <russell@coker.com.au>  Mon, 31 Oct 2011 16:35:30 +1100

policycoreutils (2.0.82-5) unstable; urgency=low

  * Make it suggest selinux-policy-dev which is needed by sepolgen-ifgen.

 -- Russell Coker <russell@coker.com.au>  Wed, 16 Feb 2011 00:22:13 +1100

policycoreutils (2.0.82-4) unstable; urgency=low

  * Depend on the latest version of python-sepolgen, audit2allow won't work
    otherwise.

 -- Russell Coker <russell@coker.com.au>  Sat, 20 Nov 2010 23:40:52 +1100

policycoreutils (2.0.82-3) unstable; urgency=low

  * Update the man page for semanage to document -i for command files.

 -- Russell Coker <russell@coker.com.au>  Tue, 20 Jul 2010 12:33:36 +1000

policycoreutils (2.0.82-2) unstable; urgency=low

  * Use "rm -rf" when cleaning out /tmp.
  * Documented the -0 option in restorecon(8), noted in restorecon(8) and
    setfiles(8) that they are the same program and documented the -p option.
  * Removed the newlines when displaying the progress of setfiles/restorecon.
  * Made fixfiles display the progress.

 -- Russell Coker <russell@coker.com.au>  Mon, 21 Jun 2010 22:35:00 +1000

policycoreutils (2.0.82-1) unstable; urgency=low

  * New upstream release
    + Add avc's since boot from Dan Walsh.
    + Add dontaudit flag to audit2allow from Dan Walsh.
    + Module enable/disable support from Dan Walsh.
    + Fix double-free in newrole
    + Remove non-working OUTFILE from fixfiles from Dan Walsh.
    + Additional exception handling in chcat from Dan Walsh.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 10:13:19 -0700

policycoreutils (2.0.77-1) unstable; urgency=low

  * New upstream version.
    + Fixed bug preventing semanage node -a from working
      from Chad Sellers
    + Fixed bug preventing semanage fcontext -l from working
      from Chad Sellers
    + Remove setrans management from semanage, as it does not work
      from Dan Walsh.
    + Move load_policy from /usr/sbin to /sbin from Dan Walsh.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Nov 2009 01:53:37 -0600

policycoreutils (2.0.75-1) unstable; urgency=low

  * New upstream point release
    + Factor out restoring logic from setfiles.c into restore.c

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 16:34:11 -0600

policycoreutils (2.0.74-1) unstable; urgency=low

  * New upstream point release
    + Change semodule upgrade behavior to install even if the module
    + is not present from Dan Walsh.
    + Make setfiles label if selinux is disabled and a seclabel aware
    + kernel is running from Caleb Case.
    + Clarify forkpty() error message in run_init from Manoj Srivastava.
    + Add semanage dontaudit to turn off dontaudits from Dan Walsh.
    + Fix semanage to set correct mode for setrans file from Dan Walsh.
    + Fix malformed dictionary in portRecord from Dan Walsh.
  * Added patch from Martin Orr to fix a loop in the inotify watch code
    when installing a watch on utmp.
  * [863fb62]: topic--debian: Improve error messages on forkpty failure
    The current error message when forkpty() fails is not clear or
    useful. The following patch makes indicate what went wrong. 
    Bug fix: "The error message on forkpty() failure is not clear or
    useful.", thanks to Russell Coker              (Closes: #515710).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 2009 02:08:04 -0500

policycoreutils (2.0.72-4) UNRELEASED; urgency=low

  * [d42e245]: [topic--restorecond-init-script]: Add to watched files
    list 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 14 Sep 2009 08:31:48 -0500

policycoreutils (2.0.72-3) UNRELEASED; urgency=low

  * [863fb62]: topic--debian: Improve error messages on forkpty failure
    The current error message when forkpty() fails is not clear or
    useful. The following patch makes indicate what went wrong. 
    Bug fix: "The error message on forkpty() failure is not clear or


=== debian/control ===
Source: policycoreutils
VCS-Git: git://git.debian.org/~srivasta/debian/policycoreutils.git
VCS-Browser: http://git.debian.org/git/?p=users/srivasta/debian/policycoreutils.git
Priority: optional
Section: utils
Maintainer: Russell Coker <russell@coker.com.au>
Uploaders: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.8.4.0
Build-Depends: libselinux1-dev (>= 2.1.9), libpam0g-dev,
 libsepol1-dev (>= 2.1.4), file, gettext, libsemanage1-dev (>= 2.1.6),
 python-sepolgen (>=1.1.5), libaudit-dev, libcap-ng-dev, libcap-dev,
 libpcre3-dev, dpkg-dev (>= 1.16.0), libcgroup-dev, libglib2.0-dev,
 libdbus-1-dev, libdbus-glib-1-dev
XS-Python-Version: >= 2.5

Package: policycoreutils
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.2-13), python (>= 2.5),
  python-semanage, python-selinux, python-sepolgen (>=1.1.0), python-support,
  psmisc
Conflicts: mcstrans
Provides: mcstrans
Replaces: mcstrans
Recommends: selinux-policy-default
Suggests: selinux-policy-dev
Description: SELinux core policy utilities
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the core policy utilities that are required
 for basic operation of an SELinux system.  These utilities include
 load_policy to load policies, setfiles to label filesystems, newrole
 to switch roles, run_init to run /etc/init.d scripts in the proper
 context, and restorecond to restore contexts of files that often get the
 wrong context.
 .
 It also includes the mcstransd to map a maching readable sensitivity label to
 a human readable form.  The sensitivity label is comprised of a sensitivity
 level (always s0 for MCS and anything from s0 to s15 for MLS) and a set of
 categories.  A ranged sensitivity label will have a low level and a high level
 where the high level will dominate the low level.  Categories are numbered
 from c0 to c1023.  Names such as s0 and c1023 and not easily readable by
 humans, so mcstransd translated them to human readable labels such as
 SystemLow and SystemHigh.

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 17:46:22 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 70
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

ifneq ($(DEB_HOST_ARCH_OS),linux)
$(error This is a linux only package. Aborting build.)
endif

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# variables useful for perl packages
include debian/common/perlvars.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk



all:
	@echo nothing to be done

include debian/common/targets.mk

include debian/local.mk


#Local variables:
#mode: makefile
#End:

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

http://userspace.selinuxproject.org/trac/wiki/Releases \
 http://userspace.selinuxproject.org/releases/.*/devel/policycoreutils-(.*)\.tar\.gz

#http://userspace.selinuxproject.org/releases/current/devel/policycoreutils-(.*)\.tar\.gz
#http://www.nsa.gov/selinux/code/download-trunk.cfm ../archives/policycoreutils-(.*)\.tgz
